### Syncfusion® WPF Input components
This package contains [WPF Calculator](https://www.syncfusion.com/wpf-controls/calculator?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [WPF DatePicker](https://www.syncfusion.com/wpf-controls/datepicker?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [WPF MaskedTextBox](https://www.syncfusion.com/wpf-controls/maskedtextbox?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [WPF Range Slider](https://www.syncfusion.com/wpf-controls/range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [WPF Rating](https://www.syncfusion.com/wpf-controls/rating?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), and [WPF TimePicker](https://www.syncfusion.com/wpf-controls/timepicker?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) components for WPF application. 

### System Requirements

* [System Requirements](https://help.syncfusion.com/wpf/installation/system-requirements?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

### WPF Calculator

The [WPF Calculator](https://www.syncfusion.com/wpf-controls/calculator?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) control provides a basic calculator interface that is useful when end users need to perform simple calculations without switching to external applications.

![WPF Calculator](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-calculator.PNG)

[Features Overview](https://www.syncfusion.com/wpf-controls/calculator?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Docs](https://help.syncfusion.com/wpf/calculator/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

#### Getting Started

* [Getting Started with WPF Calculator](https://help.syncfusion.com/wpf/calculator/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

### WPF DatePicker

The [WPF DatePicker](https://www.syncfusion.com/wpf-controls/datepicker?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) component provides an intuitive, touch-friendly interface to quickly select a date. It supports different date formats and specify minimum and maximum dates to restrict date selection. It also adds support to customize the date selector appearance. In addition, it supports editing and built-in watermark text display.

![WPF DatePicker](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-datepicker.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/datepicker?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Docs](https://help.syncfusion.com/wpf/datepicker/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

#### Getting Started

* [Getting Started with WPF DatePicker](https://help.syncfusion.com/wpf/datepicker/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

### WPF MaskedTextBox

The [WPF MaskedTextBox](https://www.syncfusion.com/wpf-controls/maskedtextbox?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) control is an enhanced version of the text box that additionally restricts input to conform to a specific structure or mask.

![WPF MaskedTextBox](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-maskededit.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/maskedtextbox?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Docs](https://help.syncfusion.com/wpf/maskedtextbox/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

#### Getting Started

* [Getting Started with WPF MaskedTextBox](https://help.syncfusion.com/wpf/maskedtextbox/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

### WPF Range Slider

The [WPF Range Slider](https://www.syncfusion.com/wpf-controls/range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) control allows you select a range of values within a specified minimum and maximum limit. The range can be selected by moving the thumb control along a track. The control is intended to provide a UI to filter collection items within a range.

![WPF Range Slider](https://cdn.syncfusion.com/nuget-readme/wpf/wpf_rangeslider.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Docs](https://help.syncfusion.com/wpf/range-slider/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

#### Getting Started

* [Getting Started with WPF Range Slider](https://help.syncfusion.com/wpf/range-slider/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

### WPF Rating

The [WPF Rating](https://www.syncfusion.com/wpf-controls/rating?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) control allows users to select rating values from a group of visual symbols like stars.

![WPF Rating](https://cdn.syncfusion.com/nuget-readme/wpf/wpf_rating.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/rating?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Docs](https://help.syncfusion.com/wpf/rating/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

#### Getting Started

* [Getting Started with WPF Rating](https://help.syncfusion.com/wpf/rating/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

### WPF TimePicker

The [WPF TimePicker](https://www.syncfusion.com/wpf-controls/timepicker?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) control provides an intuitive, touch-friendly interface to quickly select time. It supports time formatting, minimum and maximum times, nullable support, watermark text, and more. In addition, you can customize the time selector appearance.

![WPF TimePicker](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-timepicker.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/timepicker?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Docs](https://help.syncfusion.com/wpf/timepicker/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

#### Getting Started

* [Getting Started with WPF TimePicker](https://help.syncfusion.com/wpf/timepicker/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)

### License

This is a commercial product and requires a paid license for possession or use. Syncfusion® licensed software, including this component, is subject to the terms and conditions of [Syncfusion® EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget). You can purchase a license [here](https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget).

### About Syncfusion®

Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion® has more than 29,000 customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1800+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [ASP.NET Web Forms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), and [jQuery](https://www.syncfusion.com/jquery-ui-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)), mobile ([.NET MAUI](https://www.syncfusion.com/maui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [WPF](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [.NET MAUI](https://www.syncfusion.com/maui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), [Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget), and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20WPF%20Input%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-input-nuget) | Toll Free: 1-888-9 DOTNET


